<?php get_header(); ?>

<div id="content">
<div class="inside">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="post">

<h2 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark">
<?php the_title(); ?></a></h2>

<div class="meta">
<p class="cat">Posted in: <?php the_category(', '); ?></p>
<p class="date"><?php the_time('m/d/y G:i'); ?></p>
</div>

<?php the_excerpt("Continue reading " . the_title('','',false), 0); ?>

<p class="feedback"><?php wp_link_pages(); ?>
<?php comments_popup_link(__('Leave a comment, 0 so far'), __('Leave a comment, 1 so far'), __('Leave a comment, % so far')); ?>
</p>

</div>

<?php endwhile; else: ?>

<div class="post"><p>
Sorry, no content found. Please try something else.
</p></div>
<?php endif; ?>

<p><?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?></p>

</div>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>