<?php if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
	<p><?php _e('Enter your password to view comments.'); ?></p>
<?php return; endif; ?>

<p><?php if ( pings_open() ) : ?>
	<a href="<?php trackback_url() ?>" rel="trackback"><?php _e('Get a Trackback link'); ?></a>
<?php endif; ?></p>

<h2 id="comments"><?php comments_number(__('No Comments'), __('1 Comment'), __('% Comments')); ?></h2>

<?php if ( $comments ) : ?>
	<ol id="commentlist">

	<?php foreach ($comments as $comment) : ?>
	
		<?php if (get_comment_type() != "comment") { ?>
		
			<li id="comment-<?php comment_ID() ?>">
			<?php comment_type(__('Comment'), __('Trackback'), __('Pingback')); ?> <?php _e('by'); ?> <?php comment_author_link() ?> on <?php comment_date() ?>.
			</li>
		
		<?php } else { ?>
		
			<li id="comment-<?php comment_ID() ?>"> 
			<cite><?php comment_type(__('Comment'), __('Trackback'), __('Pingback')); ?> <?php _e('by'); ?> <?php comment_author_link() ?> on <?php comment_date() ?>:</cite>
				<?php comment_text() ?>
			</li>
		
		<?php } ?>
		
	<?php endforeach; ?>

</ol>

<?php else : // If there are no comments yet ?>
	<p><?php _e('Now is your chance! Be the first to comment! Go go go!'); ?></p>
<?php endif; ?>

<?php if ( comments_open() ) : ?>

<?php /* If you install the "Live Preview" plugin, you can uncomment this code

<div id="live_preview">
	<h2>Live Preview</h2>
	<?php live_preview() ?>
</div>

 */ ?>

<div id="comment_form">
	<h2 id="postcomment"><?php _e('Leave a comment'); ?></h2>
	
	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
		<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
		
	</div>
	
	<?php else : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

	<?php if ( $user_ID ) : ?>
	
	<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php">
		<?php echo $user_identity; ?></a>. 
		<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" 
		title="<?php _e('Log out of this account') ?>">Logout &raquo;</a>
	</p>
	
	<?php else : ?>
	
		<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" />
		<label for="author"><small>Name <?php if ($req) _e('(required)'); ?></small></label></p>
		
		<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" />
		<label for="email"><small>Mail (will not be published) <?php if ($req) _e('(required)'); ?></small></label></p>
		
		<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" />
		<label for="url"><small>Website</small></label></p>
	
	<?php endif; ?>

<?php /* <p>XHTML: You can use these tags: <?php echo allowed_tags(); ?></p> */ ?>

	<p><textarea name="comment" id="comment" rows="5" cols="20"></textarea></p>
	
	<p>
		<input name="submit" type="submit" id="sub" value="Submit Comment" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
	</p>
	
<?php do_action('comment_form', $post->ID); ?>

</form>
</div>

<?php endif; // If registration required and not logged in ?>

<?php else : // Comments are closed ?>
	<p><?php _e('Sorry, the comment form is closed at this time.'); ?></p>
<?php endif; ?>