<?php 
/* fixes HTML to properly produce HTML 4.01 markup */
function fix_code($buffer) {
   $buffer = (str_replace(" />", ">", $buffer));
   $buffer = (str_replace("<p></p>", "", $buffer)); 
   $buffer = (str_replace("<dl></dl>", "", $buffer)); 
   return $buffer; 
}
ob_start("fix_code");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">

<head profile="http://gmpg.org/xfn/11">

	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>

 	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />

	<meta name="description" content="<?php bloginfo('name'); ?>, a blog by <?php bloginfo('author'); ?>." />

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />

	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />

	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />

	<link rel="icon" type="image/ico" href="http://www.christianmontoya.com/favicon.ico" /> 

	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php wp_get_archives('type=monthly&format=link'); ?>

	<?php wp_head(); ?>

</head>

<?php 
if(is_home()){ echo("<body id=\"homepage\">"); }
else { echo("<body>"); }
?>

<div id="header">
	<h1><a href="<?php bloginfo('url'); ?>">
	<?php bloginfo('name'); ?>
	</a></h1>
	<p><?php bloginfo('description'); ?></p>
</div>

<div id="container">
	<div class="wrap">